Subject: RE: [PATCH net-next 06/10] net: iosm: drop custom netdev(s) removing

From: "Kumar, M Chetan" <[email-masked]>
Date: Sun, 20 Jun 2021 15:42:41 +0000

Hi Sergey,

> On Tue, Jun 15, 2021 at 3:30 AM Sergey Ryazanov
> <[email-masked]> wrote:
> > Since the last commit, the WWAN core will remove all our network
> > interfaces for us at the time of the WWAN netdev ops unregistering.
> > Therefore, we can safely drop the custom code that cleaning the list
> > of created netdevs. Anyway it no longer removes any netdev, since all
> > netdevs were removed earlier in the wwan_unregister_ops() call.
> 
> Are you Ok with this change? I plan to submit a next version of the series. If
> you have any objections, I can address them in V2.

Changes looks fine.
 
> BTW, if IOSM modems have a default data channel, I can add a separate
> patch to the series to create a default network interface for IOSM if you tell
> me which link id is used for the default data channel.

Link id 1 is always associated as default data channel. 

Thanks,
Reviewed-by: M Chetan Kumar <[email-masked]>